#
%define		_state		stable
%define		orgname		jovie
%define		qtver		4.8.0

Summary:	K Desktop Environment - KDE text to speech system application
Name:		kde4-jovie
Version:	4.14.3
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	0a5f685bbe004de07c311757b43d1ec7
URL:		http://www.kde.org/
BuildRequires:	kde4-kdebase-devel >= %{version}
BuildRequires:	speech-dispatcher-devel
Requires:	kde4-kdebase-workspace >= 4.11.4
Obsoletes:	kde4-kdeaccessibility-jovie
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jovie is the KDE text to speech system application.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jovie
%attr(755,root,root) %{_libdir}/kde4/jovie_stringreplacerplugin.so
%attr(755,root,root) %{_libdir}/kde4/jovie_talkerchooserplugin.so
%attr(755,root,root) %{_libdir}/kde4/jovie_xmltransformerplugin.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kttsd.so
%attr(755,root,root) %{_libdir}/libkttsd.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkttsd.so.?
%{_datadir}/apps/jovie
#%{_datadir}/apps/kttsd
%{_datadir}/kde4/services/jovie.desktop
%{_datadir}/kde4/services/jovie_stringreplacerplugin.desktop
%{_datadir}/kde4/services/jovie_talkerchooserplugin.desktop
%{_datadir}/kde4/services/jovie_xmltransformerplugin.desktop
%{_datadir}/kde4/services/kcmkttsd.desktop
%{_datadir}/kde4/services/kttsd.desktop
%{_datadir}/kde4/servicetypes/jovie_filterplugin.desktop
%{_desktopdir}/kde4/jovieapp.desktop
%{_iconsdir}/hicolor/*/actions/speak.png
%{_iconsdir}/hicolor/*/actions/nospeak.png
%{_iconsdir}/hicolor/*/actions/male.png
%{_iconsdir}/hicolor/*/actions/female.png
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-jovie.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> cee2502
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 1dfcbcd
- updated to 4.14.3 (by update-kde4.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9a4b8e0
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2e24e16
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 46bd058
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e661813
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> eb69979
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2fd4e50
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4439a14
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 002a040
- updated to 4.12.1 (by update-kde4.sh)

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 5d5e97c
- 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 9494422
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> f0e7e23
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 8bf4f9d
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> d076800
- updated to 4.9.1.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 04caad4
- updated to 4.9.0.

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a855b34
- rel 2; add BR speech-dispatcher-devel

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e4e9f8
- initial

